fann_set_weight
fann_subset_train_data
Fann Functions
PHP Manual

# fann_shuffle_train_data

(PECL fann >= 1.0.0)

fann_shuffle_train_data — Shuffles training data, randomizing the order

### Description

bool fann_shuffle_train_data ( resource `$train_data` )

Shuffles training data, randomizing the order. This is recommended for incremental training, while it have no influence during batch training.

### Parameters

`train_data`

  Neural network training data resource.

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

fann_set_weight
fann_subset_train_data
Fann Functions
PHP Manual